#!/bin/bash

# also consider --inabidir, --sector, and --shape

inpatt=/ships19/grain/probsevere/lightning/%Y/%Y%m%d/GLM/goes_east/agg/%Y%m%d-%H%M*.netcdf
outpatt=/ships19/grain/probsevere/lightning/%Y/%Y%m%d/GLM/goes_east/FED_accum_60min_2km/

nohup python accumulation.py $inpatt 20230101-0000 20230131-2359 -o $outpatt > nohup_01.out &
nohup python accumulation.py $inpatt 20230201-0000 20230228-2359 -o $outpatt > nohup_02.out &
nohup python accumulation.py $inpatt 20230301-0000 20230331-2359 -o $outpatt > nohup_03.out &
nohup python accumulation.py $inpatt 20230401-0000 20230430-2359 -o $outpatt > nohup_04.out &
nohup python accumulation.py $inpatt 20230501-0000 20230531-2359 -o $outpatt > nohup_05.out &
nohup python accumulation.py $inpatt 20230601-0000 20230630-2359 -o $outpatt > nohup_06.out &
nohup python accumulation.py $inpatt 20230701-0000 20230731-2359 -o $outpatt > nohup_07.out &
nohup python accumulation.py $inpatt 20230801-0000 20230831-2359 -o $outpatt > nohup_08.out &
nohup python accumulation.py $inpatt 20230901-0000 20230930-2359 -o $outpatt > nohup_09.out &
nohup python accumulation.py $inpatt 20231001-0000 20231031-2359 -o $outpatt > nohup_10.out &
nohup python accumulation.py $inpatt 20231101-0000 20231130-2359 -o $outpatt > nohup_11.out &
nohup python accumulation.py $inpatt 20231201-0000 20231231-2359 -o $outpatt > nohup_12.out &

