import os, sys
from lightningcast import create_lustre_samplelist
from datetime import datetime

outfilename = "test_offshore_2020.pkl"
outdir = "samplelists/testing/"
samplelist = os.path.join(outdir, outfilename)

# RadC
# abipattern='/arcdata/goes/grb/goes16/%Y/%Y_%m_%d_%j/abi/L1b/RadC/*_s%Y%j%H%M*'
# ltgpattern='/apollo/grain/saved_probsevere_data/lightning/%Y%m%d/GLM/goes_east/FED_accum_60min_2km/%Y%m%d-%H%M*'

# RadF
abipattern = "/arcdata/goes/grb/goes16/%Y/%Y_%m_%d_%j/abi/L1b/RadF/*_s%Y%j%H%M*"
ltgpattern = (
    "/ships19/grain/jcintineo/GLM/goes_east/FD/%Y/%Y%m%d/FED_accum_60min/%Y%m%d-%H%M*"
)
# ltgpattern='/apollo/grain/saved_probsevere_data/lightning/%Y%m%d/GLM/goes_east/offshore_sector/FED_accum_60min_2km/%Y%m%d-%H%M*'

if "training" in outdir:
    startdt = datetime(2019, 1, 18, 0)
    enddt = datetime(2019, 1, 25, 23, 59)
else:
    # startdt = datetime(2019,1,8,0); enddt = datetime(2019,1,9,23,59)
    # startdt = datetime(2020,1,10,0); enddt = datetime(2020,1,12,23,59)
    # create_lustre_samplelist.create_lustre_samplelist(startdt,enddt,abipattern,ltgpattern,outdir,outfilename=outfilename,samplelist=None)
    # startdt = datetime(2020,1,31,0); enddt = datetime(2020,1,31,23,59)
    startdt = datetime(2020, 1, 5, 0)
    enddt = datetime(2020, 1, 5, 23, 59)
try:
    create_lustre_samplelist.create_lustre_samplelist(
        startdt,
        enddt,
        abipattern,
        ltgpattern,
        outdir,
        outfilename=outfilename,
        samplelist=samplelist,
    )
except FileNotFoundError:
    create_lustre_samplelist.create_lustre_samplelist(
        startdt,
        enddt,
        abipattern,
        ltgpattern,
        outdir,
        outfilename=outfilename,
        samplelist=None,
    )


if "training" in outdir:
    startdt = datetime(2019, 2, 19, 0)
    enddt = datetime(2019, 2, 28, 23, 59)
else:
    # startdt = datetime(2019,2,12,0); enddt = datetime(2019,2,13,23,59)
    # startdt = datetime(2020,2,5,0); enddt = datetime(2020,2,7,23,59)
    # create_lustre_samplelist.create_lustre_samplelist(startdt,enddt,abipattern,ltgpattern,outdir,outfilename=outfilename,samplelist=samplelist)
    # startdt = datetime(2020,2,12,0); enddt = datetime(2020,2,13,23,59)
    startdt = datetime(2020, 2, 5, 0)
    enddt = datetime(2020, 2, 5, 23, 59)
create_lustre_samplelist.create_lustre_samplelist(
    startdt,
    enddt,
    abipattern,
    ltgpattern,
    outdir,
    outfilename=outfilename,
    samplelist=samplelist,
)

if "training" in outdir:
    startdt = datetime(2019, 3, 20, 0)
    enddt = datetime(2019, 3, 31, 23, 59)
else:
    # startdt = datetime(2019,3,12,0); enddt = datetime(2019,3,15,23,59)
    # startdt = datetime(2020,3,17,0); enddt = datetime(2020,3,21,23,59)
    startdt = datetime(2020, 3, 5, 0)
    enddt = datetime(2020, 3, 5, 23, 59)
create_lustre_samplelist.create_lustre_samplelist(
    startdt,
    enddt,
    abipattern,
    ltgpattern,
    outdir,
    outfilename=outfilename,
    samplelist=samplelist,
)

if "training" in outdir:
    startdt = datetime(2019, 4, 15, 0)
    enddt = datetime(2019, 4, 30, 23, 59)
else:
    # startdt = datetime(2019,4,5,0); enddt = datetime(2019,4,10,23,59)
    # startdt = datetime(2020,4,17,0); enddt = datetime(2020,4,21,23,59)
    startdt = datetime(2020, 4, 5, 0)
    enddt = datetime(2020, 4, 5, 23, 59)
create_lustre_samplelist.create_lustre_samplelist(
    startdt,
    enddt,
    abipattern,
    ltgpattern,
    outdir,
    outfilename=outfilename,
    samplelist=samplelist,
)

if "training" in outdir:
    startdt = datetime(2019, 5, 10, 0)
    enddt = datetime(2019, 5, 31, 23, 59)
else:
    # startdt = datetime(2019,5,3,0); enddt = datetime(2019,5,8,23,59)
    # startdt = datetime(2020,5,17,0); enddt = datetime(2020,5,21,23,59)
    startdt = datetime(2020, 5, 5, 0)
    enddt = datetime(2020, 5, 5, 23, 59)
create_lustre_samplelist.create_lustre_samplelist(
    startdt,
    enddt,
    abipattern,
    ltgpattern,
    outdir,
    outfilename=outfilename,
    samplelist=samplelist,
)

if "training" in outdir:
    startdt = datetime(2019, 6, 10, 0)
    enddt = datetime(2019, 6, 30, 23, 59)
else:
    # startdt = datetime(2019,6,3,0); enddt = datetime(2019,6,8,23,59)
    # startdt = datetime(2020,6,17,0); enddt = datetime(2020,6,21,23,59)
    startdt = datetime(2020, 6, 5, 0)
    enddt = datetime(2020, 6, 5, 23, 59)
create_lustre_samplelist.create_lustre_samplelist(
    startdt,
    enddt,
    abipattern,
    ltgpattern,
    outdir,
    outfilename=outfilename,
    samplelist=samplelist,
)

if "training" in outdir:
    startdt = datetime(2019, 7, 10, 0)
    enddt = datetime(2019, 7, 31, 23, 59)
else:
    # startdt = datetime(2019,7,3,0); enddt = datetime(2019,7,8,23,59)
    # startdt = datetime(2020,7,17,0); enddt = datetime(2020,7,21,23,59)
    startdt = datetime(2020, 7, 5, 0)
    enddt = datetime(2020, 7, 5, 23, 59)
create_lustre_samplelist.create_lustre_samplelist(
    startdt,
    enddt,
    abipattern,
    ltgpattern,
    outdir,
    outfilename=outfilename,
    samplelist=samplelist,
)

if "training" in outdir:
    startdt = datetime(2019, 8, 10, 0)
    enddt = datetime(2019, 8, 31, 23, 59)
else:
    # startdt = datetime(2019,8,3,0); enddt = datetime(2019,8,8,23,59)
    # startdt = datetime(2020,8,17,0); enddt = datetime(2020,8,21,23,59)
    startdt = datetime(2020, 8, 5, 0)
    enddt = datetime(2020, 8, 5, 23, 59)
create_lustre_samplelist.create_lustre_samplelist(
    startdt,
    enddt,
    abipattern,
    ltgpattern,
    outdir,
    outfilename=outfilename,
    samplelist=samplelist,
)

if "training" in outdir:
    startdt = datetime(2019, 9, 10, 0)
    enddt = datetime(2019, 9, 30, 23, 59)
else:
    # startdt = datetime(2019,9,3,0); enddt = datetime(2019,9,8,23,59)
    # startdt = datetime(2020,9,17,0); enddt = datetime(2020,9,21,23,59)
    startdt = datetime(2020, 9, 5, 0)
    enddt = datetime(2020, 9, 5, 23, 59)
create_lustre_samplelist.create_lustre_samplelist(
    startdt,
    enddt,
    abipattern,
    ltgpattern,
    outdir,
    outfilename=outfilename,
    samplelist=samplelist,
)

if "training" in outdir:
    startdt = datetime(2019, 10, 10, 0)
    enddt = datetime(2019, 10, 31, 23, 59)
else:
    # startdt = datetime(2019,10,4,0); enddt = datetime(2019,10,8,23,59)
    # startdt = datetime(2020,10,17,0); enddt = datetime(2020,10,21,23,59)
    startdt = datetime(2020, 10, 5, 0)
    enddt = datetime(2020, 10, 5, 23, 59)
create_lustre_samplelist.create_lustre_samplelist(
    startdt,
    enddt,
    abipattern,
    ltgpattern,
    outdir,
    outfilename=outfilename,
    samplelist=samplelist,
)

if "training" in outdir:
    startdt = datetime(2019, 11, 27, 0)
    enddt = datetime(2019, 11, 30, 23, 59)
else:
    # startdt = datetime(2019,11,1,0); enddt = datetime(2019,11,2,23,59)
    # startdt = datetime(2020,11,17,0); enddt = datetime(2020,11,21,23,59)
    startdt = datetime(2020, 11, 5, 0)
    enddt = datetime(2020, 11, 5, 23, 59)
create_lustre_samplelist.create_lustre_samplelist(
    startdt,
    enddt,
    abipattern,
    ltgpattern,
    outdir,
    outfilename=outfilename,
    samplelist=samplelist,
)

if "training" in outdir:
    startdt = datetime(2019, 12, 16, 0)
    enddt = datetime(2019, 12, 18, 23, 59)
    create_lustre_samplelist.create_lustre_samplelist(
        startdt,
        enddt,
        abipattern,
        ltgpattern,
        outdir,
        outfilename=outfilename,
        samplelist=samplelist,
    )
    startdt = datetime(2019, 12, 28, 0)
    enddt = datetime(2019, 12, 30, 23, 59)
else:
    # startdt = datetime(2019,12,14,0); enddt = datetime(2019,12,18,23,59)
    # startdt = datetime(2020,12,17,0); enddt = datetime(2020,12,21,23,59)
    startdt = datetime(2020, 12, 5, 0)
    enddt = datetime(2020, 12, 5, 23, 59)
create_lustre_samplelist.create_lustre_samplelist(
    startdt,
    enddt,
    abipattern,
    ltgpattern,
    outdir,
    outfilename=outfilename,
    samplelist=samplelist,
)
